Bug 277764 - Background of table cell wrong (support for table-template missing)
Summary: Background of table cell wrong (support for table-template missing)
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Sauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-14 15:07 UTC by T Zachmann
Modified: 2012-08-10 16:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Document showing the problem (13.23 KB, application/vnd.oasis.opendocument.presentation)
2011-07-14 15:08 UTC, T Zachmann
Details
Modified version of the above attached odp that demonstrates the missing support for table-template's (15.10 KB, application/vnd.oasis.opendocument.presentation)
2011-07-15 13:14 UTC, Sebastian Sauer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description T Zachmann 2011-07-14 15:07:43 UTC
Version:           svn (using KDE 4.6.4) 
OS:                Linux

When loading the attached presentation the color of the tables is blue. However the color should be white which is defined.

The white color is defined in the style ce1

<table:table-row table:style-name="ro1" table:default-cell-style-name="ce1">


Reproducible: Always

Steps to Reproduce:
load the document


Expected Results:  
The background should be white
Comment 1 T Zachmann 2011-07-14 15:08:33 UTC
Created attachment 61875 [details]
Document showing the problem
Comment 2 T Zachmann 2011-07-14 15:09:32 UTC
Here you go.
Comment 3 Sebastian Sauer 2011-07-15 13:13:11 UTC
First part (support of draw:fill in table-cells) was fixed with 4a0f556f4a55cb030599e834bd87b24ed78a35b0 . The remaining issue is that we do not support table:table-template's.
Comment 4 Sebastian Sauer 2011-07-15 13:14:09 UTC
Created attachment 61893 [details]
Modified version of the above attached odp that demonstrates the missing support for table-template's
Comment 5 Gopalakrishna Bhat 2012-08-10 16:15:37 UTC
Git commit 92812d18c767b6c9b65974f50b28906e94c3cbb0 by Gopalakrishna Bhat A.
Committed on 10/08/2012 at 18:00.
Pushed by gopalakrishnabhat into branch 'master'.

Add support for templates in table.

LO saves a invalid ODF attribute text:style-name for table:table-template element, so created a workaround for that while loading
REVIEW: 105771

M  +10   -0    libs/flake/KoOdfWorkaround.cpp
M  +14   -0    libs/flake/KoOdfWorkaround.h
M  +2    -0    libs/kotext/CMakeLists.txt
A  +288  -0    libs/kotext/KoTextTableTemplate.cpp     [License: LGPL (v2+)]
A  +117  -0    libs/kotext/KoTextTableTemplate.h     [License: LGPL (v2+)]
M  +32   -0    libs/kotext/opendocument/KoTextLoader.cpp
M  +38   -0    libs/kotext/opendocument/KoTextSharedLoadingData.cpp
M  +5    -0    libs/kotext/opendocument/KoTextSharedLoadingData.h
M  +5    -0    libs/kotext/opendocument/KoTextSharedSavingData.cpp
M  +6    -0    libs/kotext/opendocument/KoTextSharedSavingData.h
M  +38   -0    libs/kotext/opendocument/KoTextWriter_p.cpp
M  +37   -1    libs/kotext/styles/KoStyleManager.cpp
M  +25   -0    libs/kotext/styles/KoStyleManager.h
M  +26   -2    libs/kotext/styles/KoTableCellStyle.cpp
M  +4    -1    libs/kotext/styles/KoTableCellStyle.h
M  +8    -2    libs/kotext/styles/KoTableStyle.h
M  +1    -0    libs/odf/CMakeLists.txt
M  +1    -1    libs/odf/KoGenStyles.cpp
M  +12   -1    libs/odf/KoOdfStylesReader.cpp
M  +4    -0    libs/odf/KoOdfStylesReader.h
M  +15   -0    libs/textlayout/KoTextDocumentLayout.cpp
M  +3    -0    libs/textlayout/KoTextDocumentLayout.h
M  +86   -21   libs/textlayout/KoTextLayoutTableArea.cpp
M  +13   -3    plugins/textshape/TextShape.cpp
M  +4    -0    plugins/textshape/TextShape.h
M  +3    -0    plugins/textshape/TextShapeFactory.cpp

http://commits.kde.org/calligra/92812d18c767b6c9b65974f50b28906e94c3cbb0